package org.jeecg.modules.ai.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 隐藏元素表
 * @Author: jeecg-boot
 * @Date:   2023-11-30
 * @Version: V1.0
 */
@Data
@TableName("room_hide_element")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="room_hide_element对象", description="隐藏元素表")
public class RoomHideElement implements Serializable {
    private static final long serialVersionUID = 1L;
	
	/** */
	@Excel(name = " ", width = 20)
    @ApiModelProperty(value = " ")
    private java.lang.Long roomId;
	/** */
	@Excel(name = " ", width = 20)
    @ApiModelProperty(value = " ")
    private java.lang.String hideElement;
}
