package org.jeecg.modules.ai.service;

import org.jeecg.modules.ai.entity.YsDirectoryMaterial;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 资料表
 * @Author: jeecg-boot
 * @Date:   2023-11-25
 * @Version: V1.0
 */
public interface IYsDirectoryMaterialService extends IService<YsDirectoryMaterial> {

	
	/**
	 * 根据识别结果，判断预审是否通过
	 * @param materialCode
	 * @param ocrResult
	 * @return
	 */
	public JSONObject getReviewResult(String materialCode,String templateId,String savePath);
}
