package org.jeecg.modules.ai.service.impl;

import org.jeecg.modules.ai.entity.RoomHideElement;
import org.jeecg.modules.ai.mapper.RoomHideElementMapper;
import org.jeecg.modules.ai.service.IRoomHideElementService;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 隐藏元素表
 * @Author: jeecg-boot
 * @Date:   2023-11-30
 * @Version: V1.0
 */
@Service
@DS("multi-datasource1")
public class RoomHideElementServiceImpl extends ServiceImpl<RoomHideElementMapper, RoomHideElement> implements IRoomHideElementService {

}
